dim oPort
dim oMaster
set oPort = CreateObject("Port.Port.1")
set oMaster = CreateObject("PrintMaster.PrintMaster.1")

'Indicate where to add the port. Double quotes ("" ) stand for the local computer, which is the default.
oPort.ServerName = ""

'The name of the port cannot be omitted.
oPort.PortName = "IP_1.2.3.4"

'The type of the port can be 1 (TCP RAW), 2 (TCP LPR), or 3 (standard local).
oPort.PortType = 1

'Mandatory for TCP ports. This is the address of the device to which the port connects.
oPort.HostAddress = "1.2.3.4"

'For TCP RAW ports. Default is 9100.
oPort.PortNumber = 9100

'Enable or disable SNMP.
oPort.SNMP = true

'If SNMP is enabled, 1 is the default for index.
oPort.SNMPDeviceIndex = 2

'If SNMP is enabled, "public" is the default community name.
oPort.CommunityName = "public"

'Applies to TCP LPR name, default is LPR
oPort.QueueName = "Queue"

'Byte counting or double spool applies to TCP LPR ports, is disabled by default.
oPort.DoubleSpool = true

'Try adding the port.
oMaster.PortAdd oPort
'Test for the status.
If Err <> 0 then

	'An error occurred.
end if
